Package es.imim.DISGENET.internal.linkout

# Class LinkoutEdgeTaskFactory

java.lang.Object
org.cytoscape.task.AbstractEdgeViewTaskFactory
es.imim.DISGENET.internal.linkout.LinkoutEdgeTaskFactory

All Implemented Interfaces:
  `org.cytoscape.task.EdgeViewTaskFactory`

public class LinkoutEdgeTaskFactory extends org.cytoscape.task.AbstractEdgeViewTaskFactory

## Constructor Summary

Constructors
Constructor
Description
`LinkoutEdgeTaskFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.work.TaskIterator`
`createTaskIterator(org.cytoscape.view.model.View<org.cytoscape.model.CyEdge> cyEdge, org.cytoscape.view.model.CyNetworkView cyNetworkView)`
`boolean`
`isReady(org.cytoscape.view.model.View<org.cytoscape.model.CyEdge> cyEdge, org.cytoscape.view.model.CyNetworkView cyNetworkView)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkoutEdgeTaskFactory

public LinkoutEdgeTaskFactory()

## Method Details

### createTaskIterator

public org.cytoscape.work.TaskIterator createTaskIterator(org.cytoscape.view.model.View<org.cytoscape.model.CyEdge> cyEdge, org.cytoscape.view.model.CyNetworkView cyNetworkView)

### isReady

public boolean isReady(org.cytoscape.view.model.View<org.cytoscape.model.CyEdge> cyEdge, org.cytoscape.view.model.CyNetworkView cyNetworkView)

Specified by:
  `isReady` in interface `org.cytoscape.task.EdgeViewTaskFactory`
Overrides:
  `isReady` in class `org.cytoscape.task.AbstractEdgeViewTaskFactory`